import { Link } from "react-router-dom";
import Logo from "../../ui/assets/Logo";
import Logout from "../../entities/auth/Logout";
import React, { Component } from "react";
import styled from "@emotion/styled";
import theme from "../../ui/theme";

class Header extends Component {
  render() {
    return (
      <H>
        <Link to="/">
          <Logo />
        </Link>

        <RightBlock>
          <Logout>Logout</Logout>
        </RightBlock>
      </H>
    );
  }
}
const H = styled.header`
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  padding: 10px 50px;
  height: 60px;
  display: flex;
  align-items: center;
  box-shadow: ${theme.boxShadow.grey};
  z-index: 9;
`;
const RightBlock = styled.div`
  margin-left: auto;
  display: flex;
  align-items: center;
`;

export default Header;
