import { NoteData } from "./graphql/fragments/__generated__/NoteData";
import { format } from "date-fns";
import React, { FC } from "react";
import css from "./index.module.css";

type Props = {
  note: NoteData;
};

const Note: FC<Props> = ({ note: { updated, text, user } }) => {
  return (
    <div className={css.listItem}>
      <div className={css.author}>
        {[user?.details?.first_name, user?.details?.last_name]
          .filter(Boolean)
          .join(", ")}
        &nbsp;-&nbsp;
        {updated ? format(new Date(updated), "dd MMM yyyy HH:mm:ss") : null}
      </div>
      <div className={css.description}>{text}</div>
    </div>
  );
};

export default Note;
