import { ModalWide } from "../../ui/molecules/Modal";
import List from "./List";
import React from "react";

type Props = {
  setModalVisibility: (open: boolean) => void;
  propertyId?: string;
  offerId?: string;
  invoiceId?: string;
};

const AssignAdminModal = ({
  setModalVisibility,
  propertyId,
  offerId,
  invoiceId,
}: Props) => {
  return (
    <ModalWide onCancel={() => setModalVisibility(false)}>
      <List
        canAdd={false}
        canAssign={true}
        invoiceId={invoiceId}
        offerId={offerId}
        propertyId={propertyId}
        setModalVisibility={setModalVisibility}
      />
    </ModalWide>
  );
};

export default AssignAdminModal;
