import {
  common_api_generic_query_QueryFilterOperatorEnum as OperatorEnum,
  common_api_generic_query_QueryParamsFilterInput as ParamsFilterInput,
} from "../../globalTypes";
import { addMonths, endOfMonth, format, startOfMonth } from "date-fns";

export const DEFAULT_FILTER: ParamsFilterInput[] = [
  {
    operator: OperatorEnum.EQUALS,
    fields: ["type"],
    value: ["RECORD_TYPE_INCOME"],
  },
  {
    operator: OperatorEnum.EQUALS,
    fields: ["income_type"],
    value: ["INCOME_TYPE_ADVANCE"],
  },
  {
    operator: OperatorEnum.MORE,
    fields: ["time"],
    value: [format(startOfMonth(new Date()), "yyyy-MM-dd")],
  },
  {
    operator: OperatorEnum.LESS,
    fields: ["time"],
    value: [format(endOfMonth(addMonths(new Date(), 3)), "yyyy-MM-dd")],
  },
];
