import { SortableProps } from "../../ui/molecules/Sortable";
import { Th, Thead, Tr } from "../../ui/atoms/Table";
import React from "react";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string | string[];
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Thead>
    <Tr>
      <SortableTh
        colSpan={2}
        handleClick={() =>
          setSort({
            field: ["created_at"],
            order: getOrder("created_at"),
          })
        }
        include={field.includes("created_at")}
        order={order}
      >
        Date
      </SortableTh>
      <SortableTh
        colSpan={2}
        handleClick={() =>
          setSort({
            field: ["inviter_id"],
            order: getOrder("inviter_id"),
          })
        }
        include={field.includes("inviter_id")}
        order={order}
      >
        Sent by
      </SortableTh>
      <SortableTh
        colSpan={2}
        handleClick={() =>
          setSort({
            field: ["invitee_id"],
            order: getOrder("invitee_id"),
          })
        }
        include={field.includes("invitee_id")}
        order={order}
      >
        Invited
      </SortableTh>
      {/* <Th colSpan={2}>Has the Landlord listed any Property</Th> */}
      <SortableTh
        colSpan={2}
        handleClick={() =>
          setSort({
            field: ["status"],
            order: getOrder("status"),
          })
        }
        include={field.includes("status")}
        order={order}
      >
        Status
      </SortableTh>
      <Th colSpan={2}>Reward paid</Th>
      <Th>Details</Th>
    </Tr>
  </Thead>
);

export default ListHead;
