import {
  Address,
  BankDetails,
  Description,
  Documents,
  Fees,
  Photos,
  Published,
  ViewingManager,
} from "./tabs";
import { GetProperty_admin_Property } from "./graphql/queries/__generated__/GetProperty";
import { TABS } from "./constants";
import React from "react";

type Props = {
  curTabIndex: number;
  property: GetProperty_admin_Property;
  values: GetProperty_admin_Property;
};

const FormComponents = {
  Address,
  Description,
  Documents,
  Photo: Photos,
  "Listing Fee": Fees,
  Viewings: ViewingManager,
  Publication: Published,
  "Bank Details": BankDetails,
};

const CurrentListingSection = ({ index, ...rest }: any) => {
  const Component = FormComponents[TABS[index]];

  if (Component) {
    return <Component {...rest} />;
  }

  return null;
};

const EditForm = (props: Props) => {
  return props.curTabIndex === 3 ? (
    <CurrentListingSection
      index={props.curTabIndex}
      property={props.property}
      values={props.values}
    />
  ) : (
    <CurrentListingSection
      index={props.curTabIndex}
      property={props.property}
    />
  );
};

export default EditForm;
