import { ApolloQueryResult } from "apollo-client";
import { GetProperty, GetPropertyVariables } from "./graphql/queries/__generated__/GetProperty";
import React from "react";

export interface VerifyContextProps {
  publishedInMashroom: boolean;
  addressVerified: boolean;
  descriptionVerified: boolean;
  documentsVerified: boolean;
  feeVerified: boolean;
  photosVerified: boolean;
  publishedInZoopla: boolean;
  publishedInBoomin: boolean;
  publishedInRightmove: boolean;
  handleFormReset(): void;
  handleFormSubmit(): void;
  refetchProperty:  (variables?: GetPropertyVariables | undefined) => Promise<ApolloQueryResult<GetProperty>>;
  somethingWasChanged: boolean;
  setPublishedInMashroom: React.Dispatch<React.SetStateAction<boolean | undefined>>;
  submitting: boolean;
  valid: boolean;
}

const VerifyContext = React.createContext<Partial<VerifyContextProps>>({});

export default VerifyContext;
