import { GetProperty_admin_Property_viewings as Property_viewings } from "../graphql/queries/__generated__/GetProperty";
import { Table, Tbody, Thead } from "../../../ui/atoms/Table";
import React from "react";
import TableWrapper from "../../../ui/atoms/TableWrapper";
import ViewingsHead from "./ViewingsHead";
import ViewingsItem from "./ViewingsItem";

type Props = { viewings: readonly Property_viewings[] };

const Viewings: React.FC<Props> = ({ viewings }) => {
  return (
    <TableWrapper>
      <Table>
        <Thead>
          <ViewingsHead />
        </Thead>
        <Tbody>
          {viewings.map((v) => (
            <ViewingsItem key={v.id} viewing={v} />
          ))}
        </Tbody>
      </Table>
    </TableWrapper>
  );
};

export default Viewings;
