import { GetProperty_admin_Property } from "../graphql/queries/__generated__/GetProperty";
import {
  PropertyCardItemTitle,
  PropertyCardItemValue,
  PropertyCardTitle,
  PropertyGrid,
} from "../../../ui/atoms/Property";
import React, { FC } from "react";
import styled from "@emotion/styled";

type Props = {
  property: GetProperty_admin_Property;
};

const BankDetails: FC<Props> = ({
  property: {
    bank_details: {
      account_number,
      account_name,
      sort_code,
      personal_reference,
    },
  },
}) => {
  return (
    <Row>
      <PropertyCardTitle>Bank Details</PropertyCardTitle>
      <br />

      <PropertyGrid>
        <Col>
          <PropertyCardItemTitle>Name on account</PropertyCardItemTitle>
          <PropertyCardItemValue>
            {account_name ?? "- - -"}
          </PropertyCardItemValue>
        </Col>

        <Col>
          <PropertyCardItemTitle>Account number</PropertyCardItemTitle>
          <PropertyCardItemValue>
            {account_number ?? "- - -"}
          </PropertyCardItemValue>
        </Col>

        <Col>
          <PropertyCardItemTitle>Sort code</PropertyCardItemTitle>
          <PropertyCardItemValue>{sort_code ?? "- - -"}</PropertyCardItemValue>
        </Col>

        <Col>
          <PropertyCardItemTitle>Personal reference</PropertyCardItemTitle>
          <PropertyCardItemValue>
            {personal_reference ?? "- - -"}
          </PropertyCardItemValue>
        </Col>
      </PropertyGrid>
    </Row>
  );
};

const Row = styled.div`
  max-width: 800px;
`;
const Col = styled.div`
  padding-right: 30px;
`;

export default BankDetails;
