import { SortableProps } from "../../ui/molecules/Sortable";
import { Th, Thead, Tr } from "../../ui/atoms/Table";
import React from "react";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string | string[];
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Thead>
    <Tr>
      <Th colSpan={3}>Property</Th>
      <SortableTh
        colSpan={2}
        handleClick={() =>
          setSort({
            field: ["created_at"],
            order: getOrder("created_at"),
          })
        }
        include={field.includes("created_at")}
        order={order}
      >
        Date
      </SortableTh>
      <Th colSpan={2}>Landlord</Th>
      <SortableTh
        colSpan={2}
        handleClick={() =>
          setSort({
            field: ["place"],
            order: getOrder("place"),
          })
        }
        include={field.includes("place")}
        order={order}
      >
        Place
      </SortableTh>
      <SortableTh
        colSpan={2}
        handleClick={() =>
          setSort({
            field: ["status"],
            order: getOrder("status"),
          })
        }
        include={field.includes("status")}
        order={order}
      >
        Status
      </SortableTh>
      <Th>Details</Th>
    </Tr>
  </Thead>
);

export default ListHead;
