import { LeadStageOptions } from "../../../lead-list/constants";
import { mortgage_api_MortgageLeadStageEnum } from "../../../../../globalTypes";
import React from "react";
import classNames from "classnames";
import css from "./index.module.css";

const cn = classNames.bind(css);

type Props = {
  stage: mortgage_api_MortgageLeadStageEnum;
  onStageChange: (value: mortgage_api_MortgageLeadStageEnum) => void;
};

const StageProgress = ({ stage, onStageChange }: Props) => {
  return (
    <div className={css.container}>
      {LeadStageOptions.map((step) => (
        <div
          key={step.value}
          className={cn(css.step, {
            [css.stepActive]: step.value === stage,
          })}
          onClick={() => {
            onStageChange(step.value);
          }}
          role="presentation"
        >
          <span>{step.label}</span>
        </div>
      ))}
    </div>
  );
};

export default StageProgress;
