import { ConvertEnum } from "./constants";
import {
  Notification_Api_CategoryEnum,
  Notification_Api_EventChannelEnum,
  Notification_Api_RoleEnum,
} from "../../graphql-schema-types.generated";

export type Notification = {
  ID: number;
  category: Notification_Api_CategoryEnum;
  channel: Notification_Api_EventChannelEnum;
  target: Notification_Api_RoleEnum;
  template: string;
  escape_html: boolean;
  disabled: boolean;
  seconds: number;
  nanos: number;
  data: object;
};

export type FormDataNotification = {
  ID: number;
  category: ConvertEnum<Notification_Api_CategoryEnum>;
  channel: ConvertEnum<Notification_Api_EventChannelEnum>;
  target: ConvertEnum<Notification_Api_RoleEnum>;
  template: string;
  escape_html: boolean;
  disabled: boolean;
  seconds: number;
  nanos: number;
  data: object;
};

export type FormData = {
  notification: FormDataNotification;
};
