import { OFFER_STATUS } from "./constants";
import { GetOffer_admin_Offer as OfferModel } from "./graphql/queries/__generated__/GetOffer";
import { OfferStatusTitle, StatusColor } from "./types";
import {
  StatusAside,
  StatusGroup,
  StatusItem,
  StatusItemName,
  StatusItemVerified,
} from "../../ui/atoms/StatusAside";
import { getStatus } from "./utils";
import React from "react";

const Item = ({
  title,
  color,
}: {
  title: OfferStatusTitle;
  color: StatusColor;
}) => (
  <StatusItem>
    <StatusItemName>{title}</StatusItemName>
    <StatusItemVerified color={color} />
  </StatusItem>
);

const OfferStatuses = ({ offer }: { offer: OfferModel }) => (
  <StatusAside>
    <StatusGroup>
      <Item
        color={getStatus(offer, OFFER_STATUS.VIEW)}
        title={OFFER_STATUS.VIEW}
      />
      <Item
        color={getStatus(offer, OFFER_STATUS.OFFER)}
        title={OFFER_STATUS.OFFER}
      />
      <Item
        color={getStatus(offer, OFFER_STATUS.DEPOSIT)}
        title={OFFER_STATUS.DEPOSIT}
      />
      <Item
        color={getStatus(offer, OFFER_STATUS.RENTPROFILE_CHECK)}
        title={OFFER_STATUS.RENTPROFILE_CHECK}
      />
      <Item
        color={getStatus(offer, OFFER_STATUS.CONTRACT)}
        title={OFFER_STATUS.CONTRACT}
      />
      <Item
        color={getStatus(offer, OFFER_STATUS.RENT_PAYMENT)}
        title={OFFER_STATUS.RENT_PAYMENT}
      />
      <Item
        color={getStatus(offer, OFFER_STATUS.MOVE_IN)}
        title={OFFER_STATUS.MOVE_IN}
      />
    </StatusGroup>
  </StatusAside>
);

export default OfferStatuses;
