import { GetOffer_admin_Offer_guarantors } from "../../graphql/queries/__generated__/GetOffer";
import { StatusBlock, StatusListed } from "../../../../ui/atoms/Status";
import { Td, Tr } from "../../../../ui/atoms/Table";
import EmailLink from "../../../../ui/atoms/EmailLink";
import React, { FC } from "react";
import TenantRiskLink from "./TenantRiskLink";
import TenantRiskStatus from "./TenantRiskStatus";

type Props = { guarantor: GetOffer_admin_Offer_guarantors };

const TabRentprofileGuarantorItem: FC<Props> = ({ guarantor }) => (
  <Tr key={guarantor.user ?? "empty"}>
    <Td>
      <b>
        {guarantor.first_name}
        &nbsp;
        {guarantor.last_name}
      </b>
      <br />
      <EmailLink href={`mailto:${guarantor.email_primary}`}>
        {guarantor.email_primary}
      </EmailLink>
      {guarantor.phone_primary && (
        <>
          <br />
          {guarantor.phone_primary}
        </>
      )}
    </Td>
    <Td>
      <b>Guarantor</b>
    </Td>
    <Td></Td>
    <Td></Td>
    <Td>
      <b>
        {guarantor.rentprofile_status ? (
          <StatusListed>{guarantor.rentprofile_status}</StatusListed>
        ) : (
          <StatusBlock>Not found</StatusBlock>
        )}
      </b>
      <br />
      <b>Last dispatch date: {guarantor.rentprofile_created_at || "unknown"}</b>
    </Td>
    <Td>
      <TenantRiskStatus status={guarantor.risk} />
    </Td>
    <Td>
      <TenantRiskLink document={guarantor.risk_document as string} />
    </Td>
  </Tr>
);

export default TabRentprofileGuarantorItem;
