import {
  StatusActive,
  StatusIncomplete,
  StatusPending,
  StatusUnknown,
  StatusVerifying,
} from "../../../../ui/atoms/Status";
import { TENANT_RISK } from "../../constants";
import { offer_api_TenantRiskEnum as TenantRiskEnum } from "../../../../globalTypes";
import React from "react";

const TenantRiskStatus = ({ status }: { status: TenantRiskEnum }) => {
  switch (status) {
    case TenantRiskEnum.LOW_RISK:
      return <StatusActive>{TENANT_RISK[status]}</StatusActive>;
    case TenantRiskEnum.PENDING_RISK:
    case TenantRiskEnum.MEDIUM_RISK:
      return <StatusPending>{TENANT_RISK[status]}</StatusPending>;
    case TenantRiskEnum.HIGH_RISK:
      return <StatusVerifying>{TENANT_RISK[status]}</StatusVerifying>;
    case TenantRiskEnum.UNKNOWN_TENANT_RISK:
      return <StatusUnknown>{TENANT_RISK[status]}</StatusUnknown>;
    default:
      return <StatusIncomplete>{TENANT_RISK[status]}</StatusIncomplete>;
  }
};

export default TenantRiskStatus;
