import { SortableProps } from "../../ui/molecules/Sortable";
import { Th, Thead, Tr } from "../../ui/atoms/Table";
import React from "react";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string[] | string;
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Thead>
    <Tr>
      <Th>Property Address</Th>
      <Th>Landlord</Th>
      <Th>Payer</Th>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["scheduled"],
            order: getOrder("scheduled"),
          })
        }
        include={field.includes("scheduled")}
        order={order}
      >
        Payment date
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["scheduled"],
            order: getOrder("scheduled"),
          })
        }
        include={field.includes("scheduled")}
        order={order}
      >
        Days overdue
      </SortableTh>
      <Th>Amount recieved</Th>
      <Th>No. reminders</Th>
      {/* <Th></Th> */}
    </Tr>
  </Thead>
);

export default ListHead;
