import {
  PayoutsGetAllPayments_admin_allPayments_payments_property_people_landlord_details,
  PayoutsGetAllPayments_admin_allPayments_payments_property_people_submitter_details,
} from "../payouts-made/graphql/queries/__generated__/PayoutsGetAllPayments";
import { Td, Tr } from "../../ui/atoms/Table";
import { differenceInCalendarDays } from "date-fns";
import { formatDateTime } from "../../util/date";
import React from "react";

export type ListItemProps = {
  address: string | null | undefined;
  amount: number | undefined;
  landlord_details:
    | PayoutsGetAllPayments_admin_allPayments_payments_property_people_landlord_details
    | null
    | undefined;
  overdue_payment_notice_count: number | null;
  payment_id: string;
  submitter_details:
    | PayoutsGetAllPayments_admin_allPayments_payments_property_people_submitter_details
    | null
    | undefined;
  scheduled_at: string;
};

const ListItem: React.FC<ListItemProps> = ({
  address,
  amount,
  landlord_details,
  overdue_payment_notice_count,
  payment_id,
  submitter_details,
  scheduled_at,
}) => {
  const daysOverdue = differenceInCalendarDays(
    new Date(),
    new Date(scheduled_at)
  );

  // const [
  //   updatePayment,
  //    { loading: updatePaymentLoading }
  // ] = useMutation<UpdatePaymentStatus, UpdatePaymentStatusVariables>(
  //   UPDATE_PAYMENT_STATUS
  // );

  // const handleUpdateStatus = async (payment_id: string) => {
  //   await updatePayment({
  //     variables: {
  //       payment_id,
  //       status: invoice_api_PaymentStatusEnum.PAYMENT_SUCCESS,
  //     },
  //     refetchQueries: ["PayoutsGetAllPayments"],
  //   });
  // };

  return (
    <Tr>
      <Td>{address}</Td>
      <Td>{landlord_details?.first_name}</Td>
      <Td>{submitter_details?.first_name}</Td>
      <Td>{formatDateTime(scheduled_at)}</Td>
      <Td>{daysOverdue}</Td>
      <Td>{amount}</Td>
      <Td>{overdue_payment_notice_count}</Td>
      {/* <Td colSpan={2}>
        <ButtonMark
          onClick={() => {
            handleUpdateStatus(payment_id);
          }}
          type="button"
        >
          {updatePaymentLoading ? "loading" : "Mark as paid"}
        </ButtonMark>
      </Td> */}
    </Tr>
  );
};

// const ButtonMark = styled(PrimaryButton)`
//   width: 100%;
// `;

export default ListItem;
