import { SortableProps } from "../../../ui/molecules/Sortable";
import { Th, Thead, Tr } from "../../../ui/atoms/Table";
import React from "react";
import SortableTh from "../../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string[] | string;
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Thead>
    <Tr>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["id"],
            order: getOrder("id"),
          })
        }
        include={field.includes("id")}
        order={order}
      >
        ID
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["ivr"],
            order: getOrder("ivr"),
          })
        }
        include={field.includes("ivr")}
        order={order}
      >
        IVR
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["created"],
            order: getOrder("created"),
          })
        }
        include={field.includes("created")}
        order={order}
      >
        Date
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["amount"],
            order: getOrder("amount"),
          })
        }
        include={field.includes("amount")}
        order={order}
      >
        Amount
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["description"],
            order: getOrder("description"),
          })
        }
        include={field.includes("description")}
        order={order}
      >
        Description
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["type"],
            order: getOrder("type"),
          })
        }
        include={field.includes("type")}
        order={order}
      >
        Type
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["status"],
            order: getOrder("status"),
          })
        }
        include={field.includes("status")}
        order={order}
      >
        Status
      </SortableTh>
      <Th>Details</Th>
    </Tr>
  </Thead>
);

export default ListHead;
