import { offer_api_AdvanceStateEnum } from "../../../globalTypes";
import { sentenceCase } from "sentence-case";

export const getAdvancedRentStatus = (status: offer_api_AdvanceStateEnum) => {
  switch (status) {
    case offer_api_AdvanceStateEnum.ADVANCE_GRANTED:
      return "Verified";
    case offer_api_AdvanceStateEnum.ADVANCE_CANCELLED:
      return "Cancelled";
    case offer_api_AdvanceStateEnum.ADVANCE_DENIED:
      return "Denied";
    case offer_api_AdvanceStateEnum.ADVANCE_REQUESTED:
    case offer_api_AdvanceStateEnum.UNKNOWN_ADVANCE_STATE:
      return "In progress";
    default:
      return sentenceCase(status);
  }
};
