import { PaymentsGetInvoice_admin_Invoice } from "../../graphql/queries/__generated__/PaymentsGetInvoice";
import DocumentIcon from "./DocumentIcon";
import React, { FC } from "react";
import css from "./document-viewer.module.css";

type Props = {
  invoice: PaymentsGetInvoice_admin_Invoice;
};

const DocumentViewer: FC<Props> = ({ invoice }) => {
  const products = invoice.order?.products ?? [];
  const documents = products.length ? products[0].documents : null;

  if (!documents || !documents.length) {
    return null;
  }

  return (
    <div className={css.documents}>
      <div className={css.title}>Documents</div>
      <div className={css.list}>
        {documents.map((document) => (
          <a
            key={document?.file?.id}
            className={css.item}
            href={`/media/${document?.file?.id}`}
            target="blank"
          >
            <DocumentIcon className={css.icon} />
            <div className={css.name}>{document?.file?.name}</div>
          </a>
        ))}
      </div>
    </div>
  );
};

export default DocumentViewer;
