import { SortableProps } from "../../ui/molecules/Sortable";
import { Th, Thead, Tr } from "../../ui/atoms/Table";
import React from "react";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string[] | string;
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Thead>
    <Tr>
      <Th>Property Address</Th>
      <Th>Landlord</Th>
      {/* <Th>Payer</Th> */}
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["created"],
            order: getOrder("created"),
          })
        }
        include={field.includes("created")}
        order={order}
      >
        Pay in date
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["updated"],
            order: getOrder("updated"),
          })
        }
        include={field.includes("updated")}
        order={order}
      >
        Due date
      </SortableTh>
      <Th>Amount recieved</Th>
      <Th>Payment type</Th>
      <Th>Payout account</Th>
      <Th />
    </Tr>
  </Thead>
);

export default ListHead;
