import { Link } from "react-router-dom";
// import { StatusActive } from "../../ui/atoms/Status";
import { Td, Tr } from "../../ui/atoms/Table";
import { GetUsersList_admin_allUsers_data as User } from "./graphql/queries/__generated__/GetUsersList";
import { formatDateWordTime } from "../../util/date";
import { getSignUpMethod } from "./utils";
import EmailLink from "../../ui/atoms/EmailLink";
import React from "react";

type ListItemProps = {
  user: User;
};

const ListItem = ({ user }: ListItemProps) => {
  const { id, created_at, creation_type, details, contact, resources } = user;

  return (
    <Tr>
      <Td colSpan={2}>
        {details?.first_name}&nbsp;
        {details?.last_name}
      </Td>
      <Td colSpan={3}>
        <EmailLink href={`mailto:${contact?.email_primary}`}>
          {contact?.email_primary}
        </EmailLink>
      </Td>
      <Td colSpan={2}>{contact?.phone_primary}</Td>
      <Td>{resources?.owned_properties}</Td>
      <Td>{resources?.viewing_requests}</Td>
      <Td>{formatDateWordTime(created_at)}</Td>
      <Td>{getSignUpMethod(creation_type)}</Td>
      <Td>
        <Link className="link" to={`/users/${id}/view`}>
          View
        </Link>
      </Td>
    </Tr>
  );
};

export default ListItem;
