import {
  UserDetails as Col,
  UserItemName as Name,
  UserFlexRow as Row,
  UserItemValue as Value,
} from "../../../ui/atoms/UserCard";
import { UserFormGroup as Group } from "../../../ui/atoms/UserForm";
import { account_api_AccountCreationTypeEnum } from "../../../globalTypes";
import { formatDateWordTime } from "../../../util/date";
import { getSignUpMethod } from "../utils";
import React, { FC } from "react";

type Props = {
  createdAt: string | null | undefined;
  creation_type: account_api_AccountCreationTypeEnum | null;
};

const Account: FC<Props> = ({ createdAt, creation_type }) => {
  return (
    <Group>
      <h3>Account</h3>
      <Row>
        <Col>
          <Name>Sign up date</Name>
          <Value>{createdAt ? formatDateWordTime(createdAt) : "N/A"}</Value>
        </Col>
        <Col>
          <Name>Sign up method</Name>
          <Value>{getSignUpMethod(creation_type)}</Value>
        </Col>
      </Row>
    </Group>
  );
};

export default Account;
