import { css } from "@emotion/core";
import styled from "@emotion/styled";
import theme from "../theme";

const Badge = styled.div<{ status?: "success" | "danger" | "warning" }>`
  display: inline-flex;
  padding: 3px 6px;
  font-size: 12px;
  line-height: 14px;
  white-space: nowrap;
  color: white;
  font-weight: 600;
  border-radius: 3px;
  ${({ status }) =>
    status === "danger"
      ? css`
          background: ${theme.colors.main.red};
        `
      : status === "success"
      ? css`
          background: ${theme.colors.main.green};
        `
      : status === "warning"
      ? css`
          background: ${theme.colors.main.orange};
        `
      : css`
          background: #bbb;
        `}
`;

export default Badge;
