import styled from "@emotion/styled";
import theme from "../theme";

export const Checkbox = styled.label`
  font-size: 16px;
  display: block;
  margin: 0 0 8px;
  user-select: none;
  cursor: pointer;
  position: relative;
  font-weight: 500;

  span {
    display: inline-block;
    font-weight: 500;
    margin-left: 34px;

    &::before {
      content: "";
      position: absolute;
      left: 0;
      top: 50%;
      margin-top: -11px;
      width: 20px;
      height: 20px;
      border: solid 1px ${theme.colors.main.midGrey};
      background: white;
    }

    &::after {
      content: "";
      position: absolute;
      width: 12px;
      height: 12px;
      left: 5px;
      top: 50%;
      margin-top: -6px;
      opacity: 0;
    }
  }

  input {
    position: absolute;
    left: -9999px;

    &:checked ~ span {
      font-weight: 700;

      &::after {
        opacity: 1;
      }
    }
  }
`;

export const CheckboxBlock = styled(Checkbox)`
  span {
    &::after {
      background: ${theme.colors.main.red};
    }
  }

  input {
    &:checked ~ span {
      color: ${theme.colors.main.red};

      &::before {
        border-color: ${theme.colors.main.red};
      }
    }
  }
`;

export const CheckboxConfirm = styled(Checkbox)`
  span {
    &::after {
      background: ${theme.colors.main.green};
    }
  }

  input {
    &:checked ~ span {
      color: ${theme.colors.main.green};

      &::before {
        border-color: ${theme.colors.main.green};
      }
    }
  }
`;
