import React from "react";
import styled from "@emotion/styled";

type Props = {
  isThisSort: boolean;
  order: number;
  children: any;
};

const SortField = ({ isThisSort, order, children }: Props) => {
  const Icon = () => {
    if (!isThisSort) {
      return <span className="material-icons">unfold_more</span>;
    }

    return (
      <span className="material-icons">
        {order === 1 ? "expand_more" : "expand_less"}
      </span>
    );
  };

  return (
    <Field>
      {children}
      <Icon />
    </Field>
  );
};

const Field = styled.div`
  display: flex;
  align-items: center;
  justify-content: space-between;

  .material-icons {
    transform: scale(0.84) translateX(12px);
  }
`;

export default SortField;
