import css from "@emotion/css";
import styled from "@emotion/styled";
import theme from "../theme";

export const StatusAside = styled.aside`
  width: 240px;
  min-width: 240px;
  margin-left: 30px;
`;

export const StatusGroup = styled.div`
  padding: 18px 20px;
  background: ${theme.colors.main.lightGrey};
  border: solid 1px ${theme.colors.icons.darkBlue};
  border-radius: 5px;
`;
export const StatusItem = styled.div`
  display: flex;
  margin: 0 0 8px;
  align-items: center;
  justify-content: space-between;

  &:last-of-type {
    margin-bottom: 0;
  }
`;
export const StatusItemName = styled.div`
  font-size: 14px;
  font-weight: 500;
`;
export const StatusItemVerified = styled.div`
  width: 22px;
  height: 22px;
  border-radius: 24px;
  background: ${theme.colors.main.green};
  transition: all 0.25s;

  ${({ color }) => {
    if (color === "blue") {
      return css`
        background: ${theme.colors.icons.darkBlue};
      `;
    } else if (color === "yellow") {
      return css`
        background: ${theme.colors.main.yellow};
      `;
    } else if (color === "red") {
      return css`
        background: ${theme.colors.main.red};
      `;
    } else {
      return css`
        background: ${theme.colors.main.green};
      `;
    }
  }}
`;
export const StatusItemUnverified = styled(StatusItemVerified)`
  background: ${theme.colors.icons.darkBlue};
  border: solid 4px white;
`;
