import { Field } from "react-final-form";
import { FilterSortItem } from "../atoms/FilterSort";
import { wrapInputEmptyOption } from "../../util/dropdown";
import Dropdown from "./Dropdown";
import React, { FC } from "react";

type Props = {
  name: string;
  options: Array<{ value: string; label: string }>;
  placeholder: string;
};

const FilterFieldSort: FC<Props> = ({ name, options, placeholder }) => (
  <FilterSortItem style={{ marginBottom: 10 }}>
    <Field
      name={name}
      render={({ input }) => {
        return (
          <Dropdown
            input={wrapInputEmptyOption(input)}
            options={options}
            placeholder={placeholder}
          />
        );
      }}
    />
  </FilterSortItem>
);

export default FilterFieldSort;
