import { Field } from "react-final-form";
import { PrimaryButton, SecondaryButton } from "../atoms/Button";
import { SearchField } from "../atoms/SearchField";
import { TextInput } from "../atoms/Input";
import React from "react";

type FilterSearchProps = {
  placeholder: string;
  name: string;
  values: any;
  handleReset(): void;
};

const FilterSearch = ({
  name,
  placeholder,
  values,
  handleReset,
}: FilterSearchProps) => {
  return (
    <SearchField>
      <Field component={TextInput} name={name} placeholder={placeholder} />
      <PrimaryButton disabled={!values[name]} type="submit">
        Search
      </PrimaryButton>
      &nbsp;&nbsp;
      {values[name] && (
        <SecondaryButton onClick={handleReset} type="reset">
          Clear
        </SecondaryButton>
      )}
    </SearchField>
  );
};

export default FilterSearch;
